Loading...
Searching...
No Matches
DamarisParameters.hpp File Reference

Collects necessary output values and pass them to Damaris server processes. More...

Go to the source code of this file.

## Classes

struct | Opm::Parameters::EnableDamarisOutput
struct | Opm::Parameters::DamarisOutputHdfCollective
struct | Opm::Parameters::DamarisSaveMeshToHdf
struct | Opm::Parameters::DamarisSaveToHdf
struct | Opm::Parameters::DamarisPythonScript
struct | Opm::Parameters::DamarisPythonParaviewScript
struct | Opm::Parameters::DamarisSimName
struct | Opm::Parameters::DamarisDedicatedCores
struct | Opm::Parameters::DamarisDedicatedNodes
struct | Opm::Parameters::DamarisSharedMemoryName
struct | Opm::Parameters::DamarisSharedMemorySizeBytes
struct | Opm::Parameters::DamarisLogLevel
struct | Opm::Parameters::DamarisDaskFile
struct | Opm::Parameters::DamarisLimitVariables

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Functions

void | Opm::registerDamarisParameters ()
| Register damaris runtime parameters.

## Detailed Description

Collects necessary output values and pass them to Damaris server processes.

Currently only passing through PRESSURE, GLOBAL_CELL_INDEX and MPI_RANK information. This class now passes through the 3D mesh information to Damaris to enable in situ visualization via Paraview or Ascent. And developed so that variables specified through the Eclipse input deck will be available to Damaris.